<?php
/*********************************************************************************
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2005 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 ********************************************************************************/
$dictionary['prospect_lists_prospects'] = array ( 

	'table' => 'prospect_lists_prospects',

	'fields' => array (
		array (
			'name' => 'id',
			'type' => 'char',
			'len' => '36',
			'default' => '',
		),
		array (
			'name' => 'prospect_list_id',
			'type' => 'char',
			'len' => '36',
			'default' => '',
		),
		array (
			'name' => 'prospect_id',
			'type' => 'char',
			'len' => '36',
			'default' => '',
		),
		array (
			'name' => 'contact_id',
			'type' => 'char',
			'len' => '36',
			'default' => '',
		),
		array (
			'name' => 'lead_id',
			'type' => 'char',
			'len' => '36',
			'default' => '',
		)
      , array ('name' => 'date_modified','type' => 'datetime'),
		array (
			'name' => 'deleted',
			'type' => 'bool',
			'len' => '1',
			'default' => '0'
		),
	),
	
	'indices' => array (
		array (
			'name' => 'prospect_lists_prospectspk',
			'type' => 'primary',
			'fields' => array ( 'id' )
		),
		array (
			'name' => 'idx_pro_id',
			'type' => 'index',
			'fields' => array ('prospect_list_id')
		),
		array (
			'name' => 'idx_pros_id',
			'type' => 'index',
			'fields' => array ('prospect_id')
		),
		array (
			'name' => 'idx_cont_id',
			'type' => 'index',
			'fields' => array ('contact_id')
		),
		array (
			'name' => 'idx_lead_id',
			'type' => 'index',
			'fields' => array ('lead_id')
		),
	
	),
	
 	'relationships' => array (
		'prospect_list_contacts' => array('lhs_module'=> 'ProspectLists', 'lhs_table'=> 'prospect_lists', 'lhs_key' => 'id',
		'rhs_module'=> 'Contacts', 'rhs_table'=> 'contacts', 'rhs_key' => 'id',
		'relationship_type'=>'many-to-many',
		'join_table'=> 'prospect_lists_prospects', 'join_key_lhs'=>'prospect_list_id', 'join_key_rhs'=>'contact_id'),

		'prospect_list_prospects' => array('lhs_module'=> 'ProspectLists', 'lhs_table'=> 'prospect_lists', 'lhs_key' => 'id',
		'rhs_module'=> 'Prospects', 'rhs_table'=> 'prospects', 'rhs_key' => 'id',
		'relationship_type'=>'many-to-many',
		'join_table'=> 'prospect_lists_prospects', 'join_key_lhs'=>'prospect_list_id', 'join_key_rhs'=>'prospect_id'),

		'prospect_list_leads' => array('lhs_module'=> 'ProspectLists', 'lhs_table'=> 'prospect_lists', 'lhs_key' => 'id',
		'rhs_module'=> 'Leads', 'rhs_table'=> 'leads', 'rhs_key' => 'id',
		'relationship_type'=>'many-to-many',
		'join_table'=> 'prospect_lists_prospects', 'join_key_lhs'=>'prospect_list_id', 'join_key_rhs'=>'lead_id')
	)
	
)

                                                      
?>
